@charset "UTF-8";

/*==========================
common
==========================*/
.section {
    padding-top: 50px;
}

.title {
    padding-right: 10px;
    font-size: 4rem;
}
.title::after {
    font-size: 4rem;
}

.Scrolling {
    bottom: 0;
}


@media screen and (min-width: 769px) {
    .section {
        padding-top: 70px;
    }

    .title {
        padding-right: 20px;
    }

    .title__container {
        gap: 10px;
    }
}

/*==========================
Top
==========================*/
.takeoutTop {
    width: 100%;
    height: auto;
    background-color: var(--primary-orange);
}

.takeoutTop__box {
    padding: 8vh 10% 100px;
    position: relative;
    width: 100%;
    height: 100vh;
    height: 100svh;
}

.topPhoto__box {
    width: 80vw;
    height: 75vh;
    height: 75svh;
    border-radius: 30px;
    overflow: hidden;
    position: absolute;
    top: 12vh;
    top: 12svh;
    margin: 5px;
}

.topPhoto {
    object-fit: cover;
    object-position: 60% 0;
    height: 100%;
}

.topTitle {
    font-size: 6rem;
    line-height: 100%;
    /* 60px */
    z-index: 10;
    margin-top: 20px;
}

.topTitle::after {
    font-size: 6.1rem;
}

.topTxt {
    position: absolute;
    font-size: 1.6rem;
    font-weight: 700;
    z-index: 11;
}

/* Top */
@media screen and (min-width: 769px) {
    .takeoutTop__box {
        padding: 100px 0 0 210px;
        position: relative;
        width: 100%;
        height: 100vh;
        height: 100svh;
    }

    .topPhoto__box {
        border-radius: 50px;
        overflow: hidden;
        /* 親要素の外にはみ出た部分を隠す */
        position: absolute;
        bottom: 150px;
        right: 150px;
        width: 75%;
        height: 70vh;
        height: 70svh;
    }

    .topPhoto {
        object-fit: cover;
        /* 親要素全体にフィット */
        object-position: 0;
        height: auto;
        height: 100%;
    }

    .takeoutTop__txtBox {
        position: absolute;
        bottom: 0;
        right: 0;
        background-color: var(--primary-orange);
        z-index: 1;
        width: 620px;
        height: 37vh;
        height: 37svh;
        border-radius: 50px;
    }

    .topTitle {
        font-size: 10rem;
        z-index: 11;
        position: absolute;
        bottom: 16vh;
        bottom: 16svh;
        right: 9vw;
        padding-right: 20px;
    }

    .topTitle::after {
        font-size: 10.1rem;
    }

    .topTxt {
        position: absolute;
        font-size: 2.4rem;
        z-index: 12;
        bottom: 16vh;
        bottom: 16svh;
        padding-bottom: 90px;
        right: 9vw;
    }

    .topPhoto__curve {
        background-image: url('../images/top_kado.png');
        position: absolute;
        bottom: 36.8vh;
        bottom: 36.8svh;
        right: 150px;
        z-index: 9;
        background-size: cover;
        /* 要素全体を埋めるようにフィット */
        background-position: center;
        /* 画像の中心を基準に配置 */
        background-repeat: no-repeat;
        /* 画像を繰り返さない */
        width: 80px;
        height: 80px;
    }

    .box__B {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 70vw;
        height: 16vh;
        height: 16svh;
        border-radius: 0;
    }

    .curve__B {
        bottom: 15.8vh;
        bottom: 15.8svh;
        right: 618px;
    }
}

/* pc 769px */
/* top TAB */
@media screen and (min-width: 769px) and (max-width: 1000px) {
    .topTitle {
        font-size: 8.5rem;
        right: 4vw;
    }

    .topTitle::after {
        font-size: 8.6rem;
    }

    .topTxt {
        right: 4vw;
    }

    .topPhoto__box {
        border-radius: 50px;
        overflow: hidden;
        /* 親要素の外にはみ出た部分を隠す */
        position: absolute;
        bottom: 150px;
        right: 50px;
        width: 85%;
        height: 70%;
    }

    .topPhoto__curve {
        right: 50px;
    }

    .topPhoto {
        object-fit: cover;
        /* 親要素全体にフィット */
        object-position: 0;
        height: 100%;
    }

    .box__B {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 70vw;
        height: 20vh;
        height: 20svh;
        border-radius: 0;
    }

    .curve__B {
        bottom: 19.8vh;
        bottom: 19.8svh;
        right: 618px;
    }

}

/* pc 769~1000px */

/*==========================
restaurant　about
==========================*/
.containerTitle__restaurant {
    width: 100%;
}
.title__restauran,
.title__burrito,
.title__gallery {
    text-align: center;
}
.title__restauran {
    width: 100%;
    display: flex;
    justify-content: center;
    
}
.title__restauran::after  {
    width: 100%;
    display: flex;
    justify-content: center;
    left: 0;
}

.section_restaurant {
    background-color: var(--primary-clearBlack);
    padding-top: 50px;
}

.restaurant_container {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}

.restaurantPhoto {
    width: 84%;
    height: 54vw;
    border-radius: 10px;
    overflow: hidden;
}

.restaurantPhoto img {
    object-position: 0 -104px;
    object-fit: cover;
    height: auto;
    width: 100%;
}

.restaurantTxt_container {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 20px;

}

.restaurantTxt_box {
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 0 10% 50px 10%;
    margin-top: 20px;
}

.restaurantTxt {
    line-height: 120%;
    letter-spacing: 0.84px;
    font-size: 1.4rem;
    font-weight: 400;
}

/* restaurant PC */
@media screen and (min-width: 769px) {

    .title__restauran {
        width: 100%;
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        padding-right: 10%;
        text-align: start;
    }
    .title__restauran::after {
        padding-right: 10%;
    }

    .restaurant_container {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        padding-bottom: 70px;
        margin-top: 40px;
        align-items: flex-start;
        gap: 5%;
    }

    .restaurantPhoto {
        order: 2;
        /* 写真を先に表示 */
        width: 28vw;
        height: 26vw;
    }
    
    .restaurantTxt_box {
        padding: 0;
        margin: 0;
    }
    .restaurantPhoto img {
        object-position: 0 -27px;
        width: 100%;

    }
    .restaurantTxt_container {
        order: 1;
        /* 写真を先に表示 */
        margin: 0;
        gap: 30px;
    }

    .restaurantTxt {
        font-size: 1.5vw;
        letter-spacing: 120%;
    }
}

/* pc 769px */
/* swiper TAB */
@media screen and (min-width: 769px) and (max-width: 1000px) {
    .title__restauran {
        text-align: start;
    }


}
/*==========================
restaurantBurrito　about
==========================*/
.restaurantPhoto__burrito img {
    object-position: -66px -120px;
    width: 120%;
}

.title__burrito {
    padding: 0 10%;
    width: 100%;
    display: flex;
    justify-content: center;
}

.title__burrito::after  {
    padding: 0 10%;
    width: 100%;
    display: flex;
    justify-content: center;
    left: 0;
}

.restaurantTxt {
    letter-spacing: 0.14px
}

@media screen and (min-width: 769px) {
    .restaurantPhoto__burrito img {
        object-position: 0 -14px;
        width: 100%;
    }
    
    .title__burrito {
        width: 100%;
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        padding: 0;
    }
    .restaurantPhoto__burrito {
        order: 1;
        /* 写真を先に表示 */
    }

    .TxtBox__burrito {
        order: 2;
        /* テキストを後に表示 */
    }
    .title__burrito::after  {
        padding: 0;
        justify-content: flex-start;
    }
}

/* ============================
gallery
============================ */
.title__gallery {
    font-size: 3.9rem;
    text-align: center;
    letter-spacing: -0.02em;
}
.title__gallery::after {
    text-align: center;
    font-size: 3.9rem;
    letter-spacing: -0.02em;
}
.container__gallery {
    display: flex;
    flex-direction: column;
    padding: 0 10%;
}

.swiper {
    width: 80%;
    height: 200px;
}

.swiper {
    margin-left: auto;
    margin-right: auto;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper-slide {
    background-size: cover;
    background-position: center;
    border-radius: 10px;
}

.mySwiper2 {
    height: auto;
    width: 100%;
    margin-top: 10px;
}

.mySwiper {
    height: auto;
    box-sizing: border-box;
    padding: 10px 0;
    width: 80%;
    margin-bottom: 50px;
}

.mySwiper .swiper-slide {
    opacity: 0.4;
}

.mySwiper .swiper-slide-thumb-active {
    opacity: 1;
}

.swiper-slide img {
    display: block;
    width: 80vw;
    height: 54vw;
    object-fit: cover;
    border-radius: 10px;
}

.swiper-button-next,
.swiper-button-prev {
    color: white;
    width: 20px;
    height: auto;
}

.swiper-button-next::after {
    color: white;
    width: 20px;
    height: auto;
}

.swiper-button-prev::after {
    color: white;
    width: 20px;
    height: auto;
}

.swiper-slide3 img {
    border-radius: 3px;
    width: 19vw;
    height: 15vw;
}



@media screen and (min-width: 769px) {
    .title__gallery {
        font-size: 10rem;
    }
    .title__gallery::after {
        font-size: 10.1rem;
    }
    .swiper-slide {
        width: 80%;
    }
    .swiper-slide img {
        width: 57vw;
        height: 400px;
    }
    .swiper-slide3 img {
        border-radius: 5px;
        width: 7vw;
        height: 5vw;
    }
    .mySwiper {
        width: 57vw;
    }
    .mySwiper2 {
        align-items: center;
        justify-content: center;
    }
  
    .swiper-button-next {
      right: 50px; /* 矢印をさらに近づける */
    }
  
    .swiper-button-prev {
      left: 50px; /* 矢印をさらに近づける */
    }
}

/* pc 769px */
/* swiper TAB */
@media screen and (min-width: 769px) and (max-width: 1200px) {
    .swiper-slide3 img {
        width: 14vw;
        height: 8vw;
    }

}